Subject: [Shop-talk] Welding v. Rivets

From: Jim Juhas <[email-masked]>
Date: Thu, 28 Jul 2016 18:27:08 -0400

I am replacing the support rails for the bed of my 2007 F250.  (I 
thought about a bed replacement but it seems the rails are the only 
rotten parts.  NO RUST in the fender wells!)

Once the old rails are removed, my plan was to rosette-weld in the new 
ones.  But, I have the ability to use aircraft rivets, probably 3/16" 
size.  If I do this, I can seal the entire junction with silicone, as 
I've done in my FFR Roadster. Welding will leave a place for corrosion, 
but would the exposure be better or worse with the dissimilar metal of 
the rivets, aluminum v. steel?
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive